DuplicatePrimaryPartitionException (Apache Geode 1.9.0)
Date: 2019-04-19

org.apache.geode.cache

## Class DuplicatePrimaryPartitionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.DuplicatePrimaryPartitionException

- All Implemented Interfaces:
    Serializable

      public class DuplicatePrimaryPartitionException
      extends GemFireException

  This exception is thrown when two nodes are defined with same primary partitions
  Since:
    GemFire 6.6
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DuplicatePrimaryPartitionException()` Creates a new `DuplicatePrimaryPartitionException` with no detailed message.
    `DuplicatePrimaryPartitionException(String message)` Creates a new `DuplicatePrimaryPartitionException` with the given detail message.
    `DuplicatePrimaryPartitionException(String message, Throwable cause)` Creates a new `DuplicatePrimaryPartitionException` with the given detail message and cause.
    `DuplicatePrimaryPartitionException(Throwable cause)` Creates a new `DuplicatePrimaryPartitionException` with the given cause and no detail message

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DuplicatePrimaryPartitionException

          public DuplicatePrimaryPartitionException()

      Creates a new `DuplicatePrimaryPartitionException` with no detailed message.

    - #### DuplicatePrimaryPartitionException

          public DuplicatePrimaryPartitionException(String message)

      Creates a new `DuplicatePrimaryPartitionException` with the given detail message.

    - #### DuplicatePrimaryPartitionException

          public DuplicatePrimaryPartitionException(Throwable cause)

      Creates a new `DuplicatePrimaryPartitionException` with the given cause and no detail message

    - #### DuplicatePrimaryPartitionException

          public DuplicatePrimaryPartitionException(String message,
                                                    Throwable cause)

      Creates a new `DuplicatePrimaryPartitionException` with the given detail message and cause.